unit UnitMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  WhatIsThis, Buttons, ToolWin, ComCtrls, SpeedButtonWithHelpContext,
  StdCtrls;

type
  TFormMain = class(TForm)
    CoolBarMain: TCoolBar;
    WhatIsThis: TWhatIsThis;
    SpeedButtonClose: TSpeedButtonWithHelpContext;
    SpeedButtonWhatIsThis: TSpeedButtonWithHelpContext;
    Label1: TLabel;
    LabelWhatIsThis: TLabel;
    CheckBoxShowHelp: TCheckBox;
    Edit1: TEdit;
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure WhatIsThisActiveChanged(Sender: TObject);
    procedure WhatIsThisNoHelpContext(Sender: TObject; Control: TControl);
    procedure WhatIsThisWhatIsThis(Sender: TObject; Control: TControl;
      HelpContext: THelpContext; var ShowHelp: Boolean;
      var ShowMode: THelpShowMode);
  private
    procedure WMSysCommand (var Msg : TMessage); Message WM_SYSCOMMAND;
  public
    { Public declarations }
  end;

var
  FormMain: TFormMain;

implementation

{$R *.DFM}

procedure TFormMain.SpeedButton1Click(Sender: TObject);
begin
  Close;
end;

procedure TFormMain.SpeedButton2Click(Sender: TObject);
begin
  WhatIsThis.Active := True;
end;

procedure TFormMain.WhatIsThisActiveChanged(Sender: TObject);
begin
  SpeedButtonWhatIsThis.Down := WhatIsThis.Active;
end;

procedure TFormMain.WhatIsThisNoHelpContext(Sender: TObject;
  Control: TControl);
begin
  LabelWhatIsThis.Caption := Control.Name;
end;

procedure TFormMain.WMSysCommand;
begin
  inherited;
end;

procedure TFormMain.WhatIsThisWhatIsThis(Sender: TObject;
  Control: TControl; HelpContext: THelpContext; var ShowHelp: Boolean;
  var ShowMode: THelpShowMode);
begin
  ShowMode := hsmContext;
end;

end.
